/*
 * Title  : sho_role_sys_priv.sql
 * Author : EXADIME LLC
 * Created: 13-Sep-2025
 * Updated: 13-Sep-2025
 * Release: 1.0.0
 * Purpose: Lists all the system privileges granted to the given role.
 * Comment: Shows only system privileges.
 * History: N/A
 */

start oracle.ini

set echo off
set feedback off
set serverout on
set termout on

set linesize 80
set pagesize 0
set pause off
set long 80

set heading on
set headsep on
set underline on
set colsep " "

set define on
set verify off
set escape off
set embedded on

accept p_role char prompt 'Enter Role Name: '

col sno		format 999	heading "#"
col privilege	format a30	heading "Privilege"

spool &&rpt_dir/sho_role_sys_priv.rpt

select 
	rownum sno,
	privilege
from(
	select 
		privilege 
       from 
		dba_sys_privs a,
		dba_roles b
       where 
		a.grantee=b.role
       and	
		a.grantee=upper('&&p_role')
);

spool off

clear columns

set embedded off
set escape off
set verify on
set define on

set colsep " "
set underline on
set headsep on
set heading on

set pause off
set pagesize 24
set linesize 80
set long 80

set termout on
set serverout off
set feedback on
set echo off
